|  | Home · All Classes · All Functions · Overviews

# QXmlStreamEntityResolver Class Reference
[QtCore module]

The QXmlStreamEntityResolver class provides an entity resolver for a QXmlStreamReader. More...

     #include <QXmlStreamEntityResolver>

Note: All functions in this class are reentrant.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

virtual | ~QXmlStreamEntityResolver ()
virtual QString | resolveUndeclaredEntity ( const QString & name )

## Detailed Description

The QXmlStreamEntityResolver class provides an entity resolver for a QXmlStreamReader.

## Member Function Documentation

### QXmlStreamEntityResolver::~QXmlStreamEntityResolver () `[virtual]`

Destroys the entity resolver.

### QString QXmlStreamEntityResolver::resolveUndeclaredEntity ( const QString & name ) `[virtual]`

Resolves the undeclared entity name and returns its replacement text. If the entity is also unknown to the entity resolver, it returns an empty string.

The default implementation always returns an empty string.